VS2017如何同时支持Python3.6和2.7版本的环境

6256 人浏览 | 时间: 2017-10-04 00:08:29 | 作者: codexia
    在公司的电脑的VS2017的环境里,都已经配置好了VS2017的python的2.7和3.6的版本。一开始就因为这个环境问题,提示Python语法报错。后来切回正确的版本,就OK了。
    今天在自己的电脑里打开VS2017,然后发现莫名其妙的报错。然后仔细一看,原来我是按照python2.7来写的语句,然后3.6报错,即print后面直接空格后就输出变量的值,而python3.6需要加括号。
    之前在公司配置过python2.7的环境的,然后因为比较匆忙,也就没有做笔记,然后今天突然懵逼了。所以,还是写个总结,记录一下。
    在VS2017的在线安装程序的安装选项中,我们可以勾选python模块,也就是会安装python。然而,默认的情况如下图所示:
    
请微信扫码阅读。
为防止恶意爬虫,
已开启反爬机制,
理解哟~~~~
标注
评论
站内搜
百度搜
传送到手机
手机扫码,识别文字,完成传送x
加载中...
标注内容x
加载中...
添加标注x
收藏 0 点赞 0